Docs

Reference

Delete an automation rule

Delete an automation rule.

View MarkdownThis page is generated from the source code on every release.

Delete an automation rule.

Overview

Name Value
Code rules.delete
Scope needed automation.write
Risk Dangerous
May need confirmation Yes
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager
In the app Automation → Rules → Delete

Input fields

Field Type Required Description
id uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/rules.delete \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
ok true Yes

Example answer

{
  "data": {
    "ok": true
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "rules.delete". Tool name when listed: rules_delete.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0